<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

show_title('site.png', 'Статистика сайта');
$config['newtitle'] = 'Статистика сайта';

$topicforum = DB :: $dbh -> querySingle("SELECT SUM(`forums_topics`) FROM `forums`;");
$postforum = DB :: $dbh -> querySingle("SELECT SUM(`forums_posts`) FROM `forums`;");
$newscomm = DB :: $dbh -> querySingle("SELECT SUM(`news_comments`) FROM `news`;");
//$loadcomm = DB :: $dbh -> querySingle("SELECT SUM(`downs_comments`) FROM `downs`;");
$photoall = DB :: $dbh -> querySingle("SELECT count(*) FROM `photo`;");
$photocomm = DB :: $dbh -> querySingle("SELECT SUM(`photo_comments`) FROM `photo`;");

echo 'Записей в гостевой: <b>' . stats_guest() . '</b><br />';
echo 'Тем в форуме: <b>' . (int)$topicforum . '</b><br />';
echo 'Записей в форуме: <b>' . (int)$postforum . '</b><br />';
echo 'Всего новостей: <b>' . stats_allnews() . '</b><br />';
echo 'Комментариев в новостях: <b>' . (int)$newscomm . '</b><br />';
//echo 'Комментариев в загрузках: <b>' . (int)$loadcomm . '</b><br />';
echo 'Фотографий в галерее: <b>' . (int)$photoall . '</b><br />';
echo 'Комментариев в галерее: <b>' . (int)$photocomm . '</b><br />';
echo 'Забаненых: <b>' . stats_banned() . '</b><br />';
echo 'Забаненых по IP: <b>' . stats_ipbanned() . '</b><br />';
echo 'Зарегистрированных: <b>' . stats_users() . '</b><br />';
echo 'Логинов в черном списке: <b>' . stats_blacklogin() . '</b><br />';
echo 'E-mail в черном списке: <b>' . stats_blackmail() . '</b><br /><br />';

echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

include_once ("../themes/" . $config['themes'] . "/foot.php");

?>